Is JRE 1.4 supported by Ranorex ?

Ask general questions here.
Punit123
Posts: 2
Joined: Sat Jul 02, 2016 2:58 pm

Is JRE 1.4 supported by Ranorex ?

Post by Punit123 » Fri Oct 07, 2016 12:42 pm

While automating a java windows application created in JRE 1.4.1, I noticed a strange behaviour.

For longer Ranorex automation scripts (multiple actions in a single script), the java windows application starts to get unstable and eventually hangs.

When the same steps is performed manually the application works fine and does not hang.

Is JRE 1.4.1 offically supported by Ranorex? or please update which verions of Java are supported by Ranorex ?

Thanks for your Time and consideration.

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Is JRE 1.4 supported by Ranorex ?

Post by Support Team » Tue Oct 11, 2016 8:18 am

Hello Punit123,

Currently, we support Java 1.4 and higher. May I ask which version of Ranorex you currently use?
Additionally, please upload a Ranorex Snapshot of the application under test.

Thank you in advance.

Sincerely,
Johannes
.
Image